<?xml version="1.0"?>

<!--DOCTYPE mapping PUBLIC "-//EXOLAB/Castor Object Mapping DTD Version 1.0//EN"
                         "http://Castor.exolab.org/mapping.dtd"-->

<mapping>

  <description>multiple texture polygon region and its set</description>

  <include href="mappings/yi.iu.region.PolygonRegion_map.xml"/>

  <class name="yi.iu.processor.texture.reg.DS_PolygonRegionTextureStat">

    <map-to xml="texture-polygon-regions"/>

    <field name="imageWidth" type="integer">
      <bind-xml node="attribute"/>
    </field>

    <field name="imageHeight" type="integer">
      <bind-xml node="attribute"/>
    </field>

    <field name="scale" type="double">
      <bind-xml node="attribute"/>
    </field>

    <field name="regions" type="yi.iu.processor.texture.reg.PolygonRegionTextureStat" collection="array">
      <bind-xml name="texture-polygon-region"/>
    </field>

  </class>

  <class name="yi.iu.processor.texture.reg.PolygonRegionTextureStat">

    <map-to xml="texture-polygon-region"/>

    <field name="mean" type="double" collection="array">
      <bind-xml name="texture-mean"/>
    </field>

    <field name="covariance2" type="double" collection="array">
      <bind-xml name="texture-covariance"/>
    </field>

    <field name="polygonRegion" type="yi.iu.region.PolygonRegion">
      <bind-xml name="region-desc"/>
    </field>

  </class>

</mapping>

